Loading...
Searching...
No Matches
RDKit::FileParseException Class Reference

used by various file parsing classes to indicate a parse error More...

`#include <FileParseException.h>`

Inheritance diagram for RDKit::FileParseException:

## Public Member Functions

| FileParseException (const char *msg)
| construct with an error message
| FileParseException (const std::string msg)
| construct with an error message
const char * | what () const noexcept override
| get the error message
| ~FileParseException () noexcept override=default

## Detailed Description

used by various file parsing classes to indicate a parse error

Definition at line 19 of file FileParseException.h.

## Constructor & Destructor Documentation

## FileParseException() [1/2]

RDKit::FileParseException::FileParseException | ( | const char * | msg | ) |

inline explicit

construct with an error message

Definition at line 22 of file FileParseException.h.

## FileParseException() [2/2]

RDKit::FileParseException::FileParseException | ( | const std::string | msg | ) |

inline explicit

construct with an error message

Definition at line 25 of file FileParseException.h.

## ~FileParseException()

RDKit::FileParseException::~FileParseException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char * RDKit::FileParseException::what | ( |  | ) | const

inline override noexcept

get the error message

Definition at line 28 of file FileParseException.h.

The documentation for this class was generated from the following file:

- FileParseException.h